local G = GLOBAL
local P = G.GetPlayer
local MM = G.DANIELMOD_MAXWELL_INTROS
local tonumber = G.tonumber

local function ModMaxwellIntro(inst)
	local Maxtalk = inst.components.maxwelltalker.speeches
	for k,v in pairs(G.DanielModCharacters) do
		if P().prefab == v then
			local INTROS = {}
			for o = 1,7 do
				local S = MM[v][o][#MM[v][o]]
				local D = 0
				if o == 1 then
					D = 0
				elseif o > 1 then
					D = 2
				end
				if S == 1 then
					table.insert(INTROS, {
						delay = D,
						appearsound = "dontstarve/maxwell/disappear",
						voice = "dontstarve/maxwell/talk_LP",
						appearanim = "appear",
						idleanim= "idle",
						dialogpreanim = "dialog_pre",
						dialoganim="dial_loop",
						dialogpostanim = "dialog_pst",
						disappearanim = "disappear",
						disableplayer = true,
						skippable = true
						})
				elseif S > 1 then
					table.insert(INTROS, {
						delay = D,
						appearsound = "dontstarve/maxwell/appear_adventure",
						voice = "dontstarve/maxwell/talk_LP_world"..S,
						appearanim = "appear"..S,
						idleanim = "idle"..S.."_loop",
						dialogpreanim = "dialog"..S.."_pre",
						dialoganim ="dialog"..S.."_loop",
						dialogpostanim = "dialog"..S.."_pst",
						disappearanim = "disappear"..S,
						disableplayer = true,
						skippable = true
					})
				end
				for i = 1,(#MM[v][o] - 1) do
					table.insert(INTROS[o], {
						string = MM[v][o][i][2],
						wait = MM[v][o][i][1]
					})
				end
			end
			Maxtalk.SANDBOX_1 = INTROS[1]
			Maxtalk.ADVENTURE_1 = INTROS[2]
			Maxtalk.ADVENTURE_2 = INTROS[3]
			Maxtalk.ADVENTURE_3 = INTROS[4]
			Maxtalk.ADVENTURE_4 = INTROS[5]
			Maxtalk.ADVENTURE_TWOLANDS = INTROS[6]
			Maxtalk.ADVENTURE_5 = INTROS[7]
		end
	end
end

AddPrefabPostInit("maxwellintro", ModMaxwellIntro)