local assets = {
	Asset("ANIM", "anim/cane_stick.zip"),
	Asset("ANIM", "anim/swap_cane_stick.zip"),
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_cane_stick", "swap_cane")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal")
end

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()        
    MakeInventoryPhysics(inst)
	
	inst.entity:AddMiniMapEntity()	
	inst.MiniMapEntity:SetIcon( "cane_stick.tex" )	
    
    inst.AnimState:SetBank("cane")
    inst.AnimState:SetBuild("cane_stick")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(17)
    
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/cane_stick.xml"
    
    inst:AddComponent("equippable")
	inst.components.equippable.walkspeedmult = 1.25
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
end

return Prefab( "common/inventory/cane_stick", fn, assets)