require "prefabutil"

local assets = {
	Asset("ANIM", "anim/chalice.zip"),
}

local prefabs = {
 --"campfirefire",
-- "smokeex",
}

local function onhammered(inst, worker)
	inst.components.lootdropper:SetLoot({"goldnugget","goldnugget","goldnugget","goldnugget"})
	inst.components.lootdropper:AddChanceLoot("goldnugget" , 0.7)
	inst.components.lootdropper:AddChanceLoot("goldnugget" , 0.5)
    inst.components.lootdropper:AddChanceLoot("goldnugget" , 0.5)
    inst.components.lootdropper:AddChanceLoot("purplegem" , 0.6)
	inst.components.lootdropper:DropLoot()
	SpawnPrefab("collapse_small").Transform:SetPosition(inst.Transform:GetWorldPosition())
	inst.SoundEmitter:PlaySound("dontstarve/common/destroy_wood")
	inst:Remove()
end

local function onhit(inst, worker)
	inst.AnimState:PlayAnimation("hammered")
	inst.AnimState:PushAnimation("idle")
end

local function turnlightoff(inst, light)
	inst.SoundEmitter:KillSound("idlesound")
	if light then
		light:Enable(false)
	end
end

local function onturnon(inst)
	inst.AnimState:PlayAnimation("onworking")
	inst.AnimState:PushAnimation("working", true)
	inst.SoundEmitter:PlaySound("dontstarve/common/researchmachine_lvl3_idle_LP","idlesound")
	inst.Light:Enable(true)
	
	inst.components.lighttweener:StartTween(nil, 1, nil, nil, nil, 0.5) 
end

local function onturnoff(inst)
	inst.AnimState:PushAnimation("offworking")
	inst.AnimState:PushAnimation("idle", true)
	inst.SoundEmitter:KillSound("idlesound")
	
	inst.components.lighttweener:StartTween(nil, 0, nil, nil, nil, 1, turnlightoff) 
end
	
local function OnGetItemFromPlayer(inst, giver, item)
    if item.components.inserting.nightmarevalue > 0 then
        inst.AnimState:PlayAnimation("used")
      --  inst.AnimState:PushAnimation("onworking")
        inst.AnimState:PushAnimation("working", true)
        inst:DoTaskInTime(20/30, function() 
            inst.SoundEmitter:PlaySound("dontstarve/pig/PigKingThrowGold")
            
            for k = 1, item.components.inserting.nightmarevalue do
				local nug = nil
				
			if GetPlayer().prefab == "sdf" then	
				if math.random() < .15 then
					nug = SpawnPrefab("nightmarefuel")
				elseif math.random() < .07 then
					nug = SpawnPrefab("energy_vial")
				elseif math.random() < .06 then
					nug = SpawnPrefab("life_bottle")
				elseif math.random() < .05 then
					nug = SpawnPrefab("cane_stick")
				elseif math.random() < .04 then
					nug = SpawnPrefab("long_sword")
				elseif math.random() < .03 then
					nug = SpawnPrefab("short_sword")
				elseif math.random() < .02 then
					nug = SpawnPrefab("iron_hammer")
				elseif math.random() < .01 then
					nug = SpawnPrefab("iron_axe")
				elseif math.random() < .005 then
					nug = SpawnPrefab("gold_armor")
				else 
					nug = SpawnPrefab("goldnugget")
				end
			else
				nug = SpawnPrefab("nightmarefuel")
			end
				
				
				
                local pt = Vector3(inst.Transform:GetWorldPosition()) + Vector3(0,4.5,0)
                
                nug.Transform:SetPosition(pt:Get())
                local down = TheCamera:GetDownVec()
                local angle = math.atan2(down.z, down.x) + (math.random()*60-30)*DEGREES
                --local angle = (-TUNING.CAM_ROT-90 + math.random()*60-30)/180*PI
                local sp = math.random()*4+2
                nug.Physics:SetVel(sp*math.cos(angle), math.random()*2+8, sp*math.sin(angle))
            end
        end)
    end
end

local function OnRefuseItem(inst, giver, item)
	inst.AnimState:PushAnimation("working", true)
end

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	
	inst.entity:AddMiniMapEntity()
	inst.MiniMapEntity:SetIcon( "chalice.tex" )
	
	inst.entity:AddLight()
	inst.Light:Enable(false)
	inst.Light:SetRadius(.4)
	inst.Light:SetFalloff(1)
	inst.Light:SetIntensity(.5)
	inst.Light:SetColour(1,1,1)
	inst.components.lighttweener:StartTween(light, 1, .9, 0.9, {255/255,255/255,255/255}, 0, turnlightoff)	
    
	inst:AddTag("prototyper")
    inst:AddTag("structure")
    MakeObstaclePhysics(inst, .5)
    
    inst.AnimState:SetBank("chalice")
    inst.AnimState:SetBuild("chalice")
	inst.AnimState:PlayAnimation("idle")
	
	inst:AddComponent("prototyper")
	inst.components.prototyper.onturnon = onturnon
	inst.components.prototyper.onturnoff = onturnoff

	inst:AddComponent("lighttweener")
	
	inst:AddComponent("inspectable")
	
	--if GetPlayer().prefab == "sdf" then
	inst:AddComponent("inserter")
	--else
	--end

	inst.components.inserter:SetAcceptTest(function(inst, item)
		return item.components.inserting.nightmarevalue > 0
	end)

    inst.components.inserter.onaccept = OnGetItemFromPlayer
    inst.components.inserter.onrefuse = OnRefuseItem
	
	inst:AddComponent("lootdropper")
    inst:AddComponent("workable")
    inst.components.workable:SetWorkAction(ACTIONS.HAMMER)
    inst.components.workable:SetWorkLeft(4)
	inst.components.workable:SetOnFinishCallback(onhammered)
	inst.components.workable:SetOnWorkCallback(onhit) 
	
	
    return inst
end




return Prefab( "common/chalice", fn, assets, prefabs)

