local data = {
	"bearger_ring_fx",
	"daniel_ground_fx"
}

local function MakeFX(i)
	local assets = {Asset( "ANIM", "anim/"..data[i]..".zip" )}

	local function fn (Sim)
		local inst = CreateEntity()
		inst.entity:AddTransform()
		inst.entity:AddAnimState()
		inst.entity:AddSoundEmitter()

		inst:AddTag("FX")
		inst:AddTag("NOCLICK")
		
		inst.Transform:SetScale(0.3,0.3,0.3)
		
		inst.AnimState:SetBank(data[i])
		inst.AnimState:SetBuild(data[i])
		inst.AnimState:PlayAnimation("idle")
		
		if i == 1 then
			inst.AnimState:SetFinalOffset(-1)
			inst.AnimState:SetOrientation( ANIM_ORIENTATION.OnGround )
			inst.AnimState:SetLayer( LAYER_BACKGROUND )
			inst.AnimState:SetSortOrder( 3 )
		end

		inst.persists = false
		inst:ListenForEvent("animover", function() inst:Remove() end)
		
		return inst
	end

	return Prefab( "common/danielhammer_fx"..i, fn, assets)
end

local ret = {}
for i = 1,#data do
	table.insert(ret, MakeFX(i))
end

return unpack(ret)