local assets = {
	Asset("ANIM", "anim/gold_armor.zip"),
}

local function OnBlocked(owner) 
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_armour")
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_body", "gold_armor", "swap_body")
	owner.SoundEmitter:PlaySound("dontstarve/common/researchmachine_lvl1_ding") 
    inst:ListenForEvent("blocked", OnBlocked, owner)
	if owner.prefab == "sdf" then
		owner.AnimState:SetBuild("sdfarmor")
	end
	
    if inst.socket_onequip then
        inst.socket_onequip(inst, owner)
    end
	
	if owner.components.health then
        owner.components.health.fire_damage_scale = owner.components.health.fire_damage_scale - (TUNING.ARMORDRAGONFLY_FIRE_RESIST or 1)
    end
end

local function onunequip(inst, owner) 
    owner.AnimState:ClearOverrideSymbol("swap_body")
    inst:RemoveEventCallback("blocked", OnBlocked, owner)
	if owner.prefab == "sdf" then
		owner.AnimState:SetBuild("sdf")
	end
	
    if inst.socket_onunequip then
        inst.socket_onunequip(inst, owner)
    end
	
	if owner.components.health then
        owner.components.health.fire_damage_scale = owner.components.health.fire_damage_scale + (TUNING.ARMORDRAGONFLY_FIRE_RESIST or 1)
    end
end

local function fn()
	local inst = CreateEntity()
    
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst.entity:AddMiniMapEntity()	
	inst.MiniMapEntity:SetIcon( "gold_armor.tex" )
	
    inst.AnimState:SetBank("armor_wood")
    inst.AnimState:SetBuild("gold_armor")
    inst.AnimState:PlayAnimation("anim")
    
    inst:AddTag("metal")

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.foleysound = "dontstarve/movement/foley/metalarmour"
  	inst.components.inventoryitem.atlasname = "images/inventoryimages/gold_armor.xml"			
    
    inst:AddComponent("armor")
	inst.components.armor:InitCondition(150*14, 1)

    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
    
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
end

return Prefab( "common/inventory/gold_armor", fn, assets) 