local assets = {
    Asset("ANIM", "anim/iron_axe.zip"),
   	Asset("ANIM", "anim/swap_iron_axe.zip"),		
}

local function onfinished(inst, owner)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
	if owner then
        local brokentool = SpawnPrefab("brokentool")
        brokentool.Transform:SetPosition(inst.Transform:GetWorldPosition() )
        inst:Remove()
	end
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_iron_axe", "swap_ham_bat")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal")
end


local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)

	inst.entity:AddMiniMapEntity()	 
	inst.MiniMapEntity:SetIcon( "iron_axe.tex" )	
	
	inst.AnimState:SetBank("ham_bat")
	inst.AnimState:SetBuild("iron_axe")
	inst.AnimState:PlayAnimation("idle")
	
    inst:AddTag("sharp")
	inst:AddTag("irreplaceable") --makes item drop out of your inventory if you leave the server on DST
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(34)

	inst:AddComponent("tool")
	inst.components.tool:SetAction(ACTIONS.CHOP)
    
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/iron_axe.xml" 
    
   	inst:AddComponent("inspectable")
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(300)
    inst.components.finiteuses:SetUses(300)
    inst.components.finiteuses:SetConsumption(ACTIONS.CHOP, 0.2)
    inst.components.finiteuses:SetOnFinished( onfinished )
    
    return inst
	
end

return Prefab( "common/inventory/iron_axe", fn, assets)