local assets = {
	Asset("ANIM", "anim/iron_hammer.zip"),
	Asset("ANIM", "anim/swap_iron_hammer.zip"),	
}

local prefabs = {"collapse_small","collapse_big",}

local function onfinished(inst, owner)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
    if owner then
        local brokentool = SpawnPrefab("brokentool")
        brokentool.Transform:SetPosition(inst.Transform:GetWorldPosition() )
        inst:Remove()
	end
end

local function GetPoints(pt)
    local points = {}
    local radius = 0.5
    for i = 1, 2 do
        local theta = 0     
        local circ = 2*PI*radius
        local numPoints = math.ceil(circ * .25)
        for p = 1, numPoints do
            if not points[i] then
                points[i] = {}
            end
            local offset = Vector3(radius * math.cos(theta), 0, -radius * math.sin(theta))
            local point = pt + offset
            table.insert(points[i], point)
            theta = theta - (2*PI/numPoints)
        end
        radius = radius + 1.5
    end
    return points
end

local function onattacked(inst, owner, targer)
	SpawnPrefab("danielhammer_fx1").Transform:SetPosition(owner.Transform:GetWorldPosition()) --had to take the anim so it'd work in Vanilla
	if ROG then inst.SoundEmitter:PlaySound("dontstarve_DLC001/creatures/bearger/groundpound") end
	local points = GetPoints(owner:GetPosition())
	--print(points)
	for k,v in ipairs(points) do
		for j,x in ipairs(v) do
			inst:DoTaskInTime(0.2 * (k-1), function() SpawnPrefab("danielhammer_fx2").Transform:SetPosition(x:Get()) end)
		end
	end
end

	
local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_iron_hammer", "swap_ham_bat")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
	
    owner.components.combat:SetAreaDamage(2.25, 1)
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal")
	
	owner.components.combat.areahitrange = nil
end
    
local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
    MakeInventoryPhysics(inst)
	
	inst.entity:AddMiniMapEntity()	
	inst.MiniMapEntity:SetIcon( "iron_hammer.tex" )	
    
    inst.AnimState:SetBank("ham_bat")
    inst.AnimState:SetBuild("iron_hammer")
    inst.AnimState:PlayAnimation("idle")
	
	inst:AddTag("hammer")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(24)	
	inst.components.weapon.onattack = onattacked	
	
    inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.HAMMER)
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/iron_hammer.xml"
	
	inst:AddComponent("inspectable")
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(300)
    inst.components.finiteuses:SetUses(300)
	inst.components.finiteuses:SetConsumption(ACTIONS.HAMMER, 0.2)
    inst.components.finiteuses:SetOnFinished( onfinished )
    
    return inst
end

return Prefab( "common/inventory/iron_hammer", fn, assets, prefabs) 