local Assets = {
	Asset("ANIM", "anim/life_bottle.zip"),	
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
	inst.entity:AddMiniMapEntity()	
	inst.MiniMapEntity:SetIcon( "life_bottle.tex" )	
	
    inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("life_bottle")
    inst.AnimState:PlayAnimation("idle")
    inst.AnimState:SetBloomEffectHandle( "shaders/anim.ksh" )		
    
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = 10

	inst:AddComponent("inspectable")
	
	inst:AddComponent("edible")
	inst.components.edible.healthvalue =  40 -- Amount to heal
	inst.components.edible.hungervalue =  0	 -- Amount to fill belly
	inst.components.edible.sanityvalue =  20 -- Amount to help Sanity
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/life_bottle.xml"
	
    return inst
end

return Prefab( "common/inventory/life_bottle", fn, Assets)