local assets = {
    Asset("SOUND", "sound/common.fsb"),
    Asset("ANIM", "anim/magic_sword.zip"),
   	Asset("ANIM", "anim/swap_magic_sword.zip"),	
}

local function onfinished(inst, owner)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
    if owner then
        local brokentool = SpawnPrefab("brokentool")
        brokentool.Transform:SetPosition(inst.Transform:GetWorldPosition() )
        inst:Remove()
	end
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_magic_sword", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
    inst.Light:Enable(true)	
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal")
	inst.Light:Enable(false)	
end

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
	
	inst.entity:AddLight()
	inst.Light:SetRadius(0.6)
    inst.Light:SetFalloff(0.6)
    inst.Light:SetIntensity(.6)
    inst.Light:SetColour(40/255,40/255,250/255)		
	
	inst.entity:AddMiniMapEntity()	
	inst.MiniMapEntity:SetIcon( "magic_sword.tex" )	
	
	inst.AnimState:SetBank("nightmaresword")
	inst.AnimState:SetBuild("magic_sword")
	inst.AnimState:PlayAnimation("idle")

    inst:AddTag("sharp")
	inst:AddTag("irreplaceable") --Remove for DST?
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(59)
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/magic_sword.xml"
    
   	inst:AddComponent("inspectable")
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(100)
    inst.components.finiteuses:SetUses(100)
    inst.components.finiteuses:SetOnFinished( onfinished )
    
    return inst
end

return Prefab( "common/inventory/magic_sword", fn, assets)