local assets = {
    Asset("ANIM", "anim/short_sword.zip"),
   	Asset("ANIM", "anim/swap_short_sword.zip"),
}

local function onfinished(inst, owner)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
    if owner then
        local brokentool = SpawnPrefab("brokentool")
        brokentool.Transform:SetPosition(inst.Transform:GetWorldPosition() )
        inst:Remove()
	end
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_short_sword", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	MakeInventoryPhysics(inst)
	
	inst.entity:AddMiniMapEntity()	
	inst.MiniMapEntity:SetIcon( "short_sword.tex" )

	inst.AnimState:SetBank("nightmaresword")
	inst.AnimState:SetBuild("short_sword")
	inst.AnimState:PlayAnimation("idle")

    inst:AddTag("sharp")
	inst:AddTag("irreplaceable") --Remove for DST?
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(37)

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/short_sword.xml"
    
   	inst:AddComponent("inspectable")
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(150)
    inst.components.finiteuses:SetUses(150)
    inst.components.finiteuses:SetOnFinished( onfinished )
    
    return inst
end

return Prefab( "common/inventory/short_sword", fn, assets)