local assets = {
	Asset("ANIM", "anim/victorian_suit.zip"),
}

local function onperish (inst, owner)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
    if owner then
		inst:Remove()
	end
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_body", "victorian_suit", "swap_body")
	if owner.prefab == "sdf" then owner.AnimState:SetBuild("sdfsuit") end
	if inst.components.fueled then
		inst.components.fueled:StartConsuming()
	end
end

local function onunequip(inst, owner) 
    owner.AnimState:ClearOverrideSymbol("swap_body")
	if owner.prefab == "sdf" then owner.AnimState:SetBuild("sdf") end
	if inst.components.fueled then
		inst.components.fueled:StopConsuming()
	end
end

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)

	inst.entity:AddMiniMapEntity()
	inst.MiniMapEntity:SetIcon( "victorian_suit.tex" )
	
	inst.AnimState:SetBank("armor_sweatervest")
    inst.AnimState:SetBuild("victorian_suit")
    inst.AnimState:PlayAnimation("anim")
    
    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/victorian_suit.xml"
    
	inst:AddComponent("fueled")
    inst.components.fueled.fueltype = "USAGE"
    inst.components.fueled:InitializeFuelLevel(3840*1.3) --- 8 days * 1.3
    inst.components.fueled:SetDepletedFn(onperish)
	
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
    inst.components.equippable.dapperness = TUNING.DAPPERNESS_LARGE	
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	inst:AddComponent("insulator")
	inst.components.insulator:SetInsulation(TUNING.INSULATION_SMALL)	

    return inst
end

return Prefab( "common/inventory/victorian_suit", fn, assets) 