local G = GLOBAL
local I = G.Ingredient
local R = G.RECIPETABS

R.GARGOYLE = {str = "GARGOYLE", sort=0, icon = "gargoyle.tex", icon_atlas = "images/inventoryimages/gargoyle.xml"}

local function CI(prefab, amount)
	return I(prefab, amount, "images/inventoryimages/"..prefab..".xml")
end

local SirDanielRecipes = {
	iron_hammer = {
		ingredients = {
			I("rope", 2),
			I("twigs", 6),
			I("flint", 5)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 1},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/iron_hammer.xml",
		image = "iron_hammer.tex"
	},
	iron_axe = {
		ingredients = {
			I("rope", 2),
			I("twigs", 6),
			I("flint", 4)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 1},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/iron_axe.xml",
		image = "iron_axe.tex"
	},
	throwing_dagger = {
		ingredients = {
			I("flint", 2),
			I("log", 1)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 0},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/throwing_dagger.xml",
		image = "throwing_dagger.tex"
	},
	short_sword = {
		ingredients = {
			I("goldnugget", 1),
			I("flint", 3),
			I("log", 1)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 1},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/short_sword.xml",
		image = "short_sword.tex"
	},
	long_sword = {
		ingredients = {
			CI("short_sword", 1),
			I("goldnugget", 3)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 2},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/long_sword.xml",
		image = "long_sword.tex"
	},
	magic_sword = {
		ingredients = {
			CI("long_sword", 1),
			I("livinglog", 3),
			I("lightbulb", 5)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 4},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/magic_sword.xml",
		image = "magic_sword.tex"
	},
	cane_stick = {
		ingredients = {
			I("trinket_7", 1),
			I("log", 4),
			I("goldnugget", 2)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 2},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/cane_stick.xml",
		image = "cane_stick.tex"
	},
	energy_vial = {
		ingredients = {
			I("green_cap", 1),
			I("petals", 3)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 0},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/energy_vial.xml",
		image = "energy_vial.tex"
	},
	life_bottle = {
		ingredients = {
			I("green_cap", 2),
			I("foliage", 3),
			I("slurtleslime", 2)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 0},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/life_bottle.xml",
		image = "life_bottle.tex"
	},
	gold_armor = {
		ingredients = {
			CI("victorian_suit", 1),
			I("featherhat", 1),
			I("goldnugget", 12)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 4},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/gold_armor.xml",
		image = "gold_armor.tex"
	},
	victorian_suit = {
		ingredients = {
			Ingredient("tentaclespots", 2),
			Ingredient("silk", 6),
			Ingredient("beardhair", 2)
		},
		tab = R.GARGOYLE,
		level = {SCIENCE = 1},
		placer = nil,
		min_spacing = nil,
		nounlock = nil,
		numtogive = nil,
		builder_tag = "sdf",
		atlas = "images/inventoryimages/victorian_suit.xml",
		image = "victorian_suit.tex"
	},
}

local function AddRecipe(name, ingredients, tab, level, placer, min_spacing, nounlock, numtogive, atlas, image)
	local recipe = G.Recipe(name, ingredients, tab, level, placer, min_spacing, nounlock, numtogive)
	recipe.atlas = atlas
	recipe.image = image
end

for k,v in pairs(SirDanielRecipes) do
	if v.builder_tag then
		AddPrefabPostInit(v.builder_tag, function() AddRecipe(k, v.ingredients, v.tab, v.level, v.placer, v.min_spacing, v.nounlock, v.numtogive, v.atlas, v.image) end)
	else
		AddRecipe(k, v.ingredients, v.tab, v.level, v.placer, v.min_spacing, v.nounlock, v.numtogive, v.atlas, v.image)
	end
end