local G	  = GLOBAL
local S   = G.STRINGS
local A	  = G.ACTIONS
local N   = S.NAMES
local C   = S.CHARACTERS
local R   = S.RECIPE_DESC
local T   = S.TABS
local CN  = S.CHARACTER_NAMES
local CT  = S.CHARACTER_TITLES
local CQ  = S.CHARACTER_QUOTES
local CD  = S.CHARACTER_DESCRIPTIONS
local Wilson  		= C.GENERIC.DESCRIBE
local Willow  		= C.WILLOW.DESCRIBE
local Wolfgang  	= C.WOLFGANG.DESCRIBE
local Wendy  		= C.WENDY.DESCRIBE
local WX78  		= C.WX78.DESCRIBE
local Wickerbottom  = C.WICKERBOTTOM.DESCRIBE
local Woodie  		= C.WOODIE.DESCRIBE
local Maxwell  		= C.WAXWELL.DESCRIBE
local require 		= G.require
local ROG 			= G.ROG

--Character names, titles, quotes, etc.
CN.sdf = "Fortesque"
CT.sdf = "Sir Daniel Fortesque" --Possibly want to change this to a title rather than his name.
CQ.sdf = "\"Gulp!\""
--STRINGS.CHARACTER_DESCRIPTIONS.sdf = "* He can create items in Medievil tab.\n* Has a nice armor.\n* Coward. He's afraid of monsters and darkness." --original line
CD.sdf = "*Can create medievil items\n*Has nice armor\n*Is a coward, afraid of monsters and darkness" --Changed it to fit DS style a bit more
C.SDF = require "speech/polish/speech_sdf"

--DuskStalkerQuotes
if G.NightmaresTab then
S.DUSKSTALKER_LINES.sdf 		= "You're too late Fortesque - already my army has risen from the grave!"
S.DUSKSTALKER_LINES_TWO.sdf 	= "ou will never leave this necropolis... Ha, ha, ha!" 
S.DUSKSTALKER_LINES_THREE.sdf 	= "So, even from the shackles of death my old enemy pursues me!" 
S.DUSKSTALKER_LINES_FOUR.sdf 	= "What is that Fortesque, your lucky cup?" 
S.DUSKSTALKER_LINES_FIVE.sdf 	= "You are DOOMED Fortesque! You will NEVER leave this place!" 
end

--Actions
A.INSERTSOUL = "Insert Soul"

--Names
N.IRON_HAMMER = "Mighty hammer"
N.IRON_AXE = "Mighty axe"
N.CHALICE = "Chalice of souls"
N.CHALICE_PIECE = "Chalice Piece"
N.THROWING_DAGGER = "Throwing dagger"
N.SHORT_SWORD = "Short sword"
N.LONG_SWORD = "Long sword"
N.MAGIC_SWORD = "Magic sword"
N.LIFE_BOTTLE = "Life bottle"
N.ENERGY_VIAL = "Energy vial"
N.CANE_STICK = "Cane stick"
N.GOLD_ARMOR = "Gold armor"
N.VICTORIAN_SUIT = "Victorian suit"
N.GARGOYLE = "MEDIEVIL"

--Recipe Descriptions
R.IRON_HAMMER = "Both a weapon and a hammer."
R.IRON_AXE = "Both a weapon and an axe for chopping."
R.THROWING_DAGGER = "Sharp throwing blades!"
R.SHORT_SWORD = "Small blade for a small knight."
R.LONG_SWORD = "A sharp and mighty sword."
R.MAGIC_SWORD = "Powerful and magical sword!"
R.LIFE_BOTTLE = "Cure wounds and insanity."
R.ENERGY_VIAL = "It has a small power of healing."
R.CANE_STICK = "It helps for a faster escape... or a fight."
R.GOLD_ARMOR = "Shiny armor for a true hero!"
R.VICTORIAN_SUIT = "Make a dapper suit!"

T.GARGOYLE = "Medievil"

--Examinations (Wilson's also default to mod characters that do not have any quotes written for that prefab!)
Wilson.IRON_HAMMER = "This weapon is almost too heavy for me!"
Wilson.IRON_AXE = "So big! I can hide behind it."
Wilson.CHALICE = "Chalice can reward a true hero!"
Wilson.THROWING_DAGGER = "Useful and small distance weapon." 
Wilson.SHORT_SWORD = "Small blade is a good start." 
Wilson.LONG_SWORD = "This sword is quite heavy!" 
Wilson.MAGIC_SWORD = "I can cut enemies using magic blade!"
Wilson.LIFE_BOTTLE = "It saved me many times..."
Wilson.ENERGY_VIAL = "A small amount of life in the bottle."
Wilson.CANE_STICK = "Elegant stick.. for fast running."
Wilson.GOLD_ARMOR = "This armor is from past and from future! Time travel is so lucrative."
Wilson.VICTORIAN_SUIT = "Like a true gentleman!"
Wilson.CHALICE_PIECE = { --need multiple values for it to randomize
	"Shining...",
}

Willow.IRON_HAMMER = ""
Willow.IRON_AXE = ""
Willow.CHALICE = "It's not... flammable."
Willow.THROWING_DAGGER = ""
Willow.SHORT_SWORD = ""
Willow.LONG_SWORD = ""
Willow.MAGIC_SWORD = ""
Willow.LIFE_BOTTLE = ""
Willow.ENERGY_VIAL = ""
Willow.CANE_STICK = ""
Willow.GOLD_ARMOR = ""
Willow.VICTORIAN_SUIT = ""
Willow.CHALICE_PIECE = {
	"",
}

Wolfgang.IRON_HAMMER = ""
Wolfgang.IRON_AXE = ""
Wolfgang.CHALICE = "Wolfgang can bash this for gold!"
Wolfgang.THROWING_DAGGER = ""
Wolfgang.SHORT_SWORD = ""
Wolfgang.LONG_SWORD = ""
Wolfgang.MAGIC_SWORD = ""
Wolfgang.LIFE_BOTTLE = ""
Wolfgang.ENERGY_VIAL = ""
Wolfgang.CANE_STICK = ""
Wolfgang.GOLD_ARMOR = ""
Wolfgang.VICTORIAN_SUIT = ""
Wolfgang.CHALICE_PIECE = {
	"",
}

Wendy.IRON_HAMMER = ""
Wendy.IRON_AXE = ""
Wendy.CHALICE = "I sense dark presence here."
Wendy.THROWING_DAGGER = ""
Wendy.SHORT_SWORD = ""
Wendy.LONG_SWORD = ""
Wendy.MAGIC_SWORD = ""
Wendy.LIFE_BOTTLE = ""
Wendy.ENERGY_VIAL = ""
Wendy.CANE_STICK = ""
Wendy.GOLD_ARMOR = ""
Wendy.VICTORIAN_SUIT = ""
Wendy.CHALICE_PIECE = {
	"",
}

WX78.IRON_HAMMER = ""
WX78.IRON_AXE = ""
WX78.CHALICE = "GOLD SOURCE."
WX78.THROWING_DAGGER = ""
WX78.SHORT_SWORD = ""
WX78.LONG_SWORD = ""
WX78.MAGIC_SWORD = ""
WX78.LIFE_BOTTLE = ""
WX78.ENERGY_VIAL = ""
WX78.CANE_STICK = ""
WX78.GOLD_ARMOR = ""
WX78.VICTORIAN_SUIT = ""
WX78.CHALICE_PIECE = {
	"",
}

Wickerbottom.IRON_HAMMER = ""
Wickerbottom.IRON_AXE = ""
Wickerbottom.CHALICE = "I don't understand why it is here."
Wickerbottom.THROWING_DAGGER = ""
Wickerbottom.SHORT_SWORD = ""
Wickerbottom.LONG_SWORD = ""
Wickerbottom.MAGIC_SWORD = ""
Wickerbottom.LIFE_BOTTLE = ""
Wickerbottom.ENERGY_VIAL = ""
Wickerbottom.CANE_STICK = ""
Wickerbottom.GOLD_ARMOR = ""
Wickerbottom.VICTORIAN_SUIT = ""
Wickerbottom.CHALICE_PIECE = {
	"",
}

Woodie.IRON_HAMMER = ""
Woodie.IRON_AXE = ""
Woodie.CHALICE = "No chopping here, eh?"
Woodie.THROWING_DAGGER = ""
Woodie.SHORT_SWORD = ""
Woodie.LONG_SWORD = ""
Woodie.MAGIC_SWORD = ""
Woodie.LIFE_BOTTLE = ""
Woodie.ENERGY_VIAL = ""
Woodie.CANE_STICK = ""
Woodie.GOLD_ARMOR = ""
Woodie.VICTORIAN_SUIT = ""
Woodie.CHALICE_PIECE = {
	"",
}

Maxwell.IRON_HAMMER = ""
Maxwell.IRON_AXE = ""
Maxwell.CHALICE = "I remember when I hid this here."
Maxwell.THROWING_DAGGER = ""
Maxwell.SHORT_SWORD = ""
Maxwell.LONG_SWORD = ""
Maxwell.MAGIC_SWORD = ""
Maxwell.LIFE_BOTTLE = ""
Maxwell.ENERGY_VIAL = ""
Maxwell.CANE_STICK = ""
Maxwell.GOLD_ARMOR = ""
Maxwell.VICTORIAN_SUIT = ""
Maxwell.CHALICE_PIECE = {
	"",
}

if ROG then
local Wigfrid = C.WATHGRITHR.DESCRIBE
local Webber = C.WEBBER.DESCRIBE

Wigfrid.IRON_HAMMER = ""
Wigfrid.IRON_AXE = ""
Wigfrid.CHALICE = "Let us make a toast!"
Wigfrid.THROWING_DAGGER = ""
Wigfrid.SHORT_SWORD = ""
Wigfrid.LONG_SWORD = ""
Wigfrid.MAGIC_SWORD = ""
Wigfrid.LIFE_BOTTLE = ""
Wigfrid.ENERGY_VIAL = ""
Wigfrid.CANE_STICK = ""
Wigfrid.GOLD_ARMOR = ""
Wigfrid.VICTORIAN_SUIT = ""
Wigfrid.CHALICE_PIECE = {
	"",
}

Webber.IRON_HAMMER = ""
Webber.IRON_AXE = ""
Webber.CHALICE = "We should look inside."
Webber.THROWING_DAGGER = ""
Webber.SHORT_SWORD = ""
Webber.LONG_SWORD = ""
Webber.MAGIC_SWORD = ""
Webber.LIFE_BOTTLE = ""
Webber.ENERGY_VIAL = ""
Webber.CANE_STICK = ""
Webber.GOLD_ARMOR = ""
Webber.VICTORIAN_SUIT = ""
Webber.CHALICE_PIECE = {
	"",
}
end

modimport "scripts/speech/polish/sdfothermodquotes.lua"
modimport "scripts/speech/polish/sdfmaxwellintros.lua"